package h2

import "shylinux.com/x/ice"

type h2 struct{ Table }

func init() { ice.TeamCtxCmd(h2{}) }

type H2Type int

const (
	H2RD H2Type = iota
	H2OP
	H2HR
)

var H2TypeList = map[H2Type]string{
	H2RD: "RD",
	H2OP: "OP",
	H2HR: "HR",
}

func (s H2Type) String() string { return H2TypeList[s] }