package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_H1_ROLE = "user_h1_role"
	H1_UID       = "h1_uid"
	H1_NAME      = "h1_name"
	H1_TYPE      = "h1_type"
	H2_UID       = "_uid"
)

type UserH1 struct {
	db.ModelUserPlace
	H1UID string `gorm:"type:char(32);index"`
}
type H1 struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type H2 struct {
	db.ModelContent
	H1UID string `gorm:"type:char(32);index"`
}


func init() { db.CmdModels("", &UserH1{}, &H1{}, &H2{}) }